@import "../../00_base/media-queries.pcss.css";

/* Create stacking context for filter region */
.lb-map,
.layout-builder__layout {
  position: relative;
}

.lb-map {
  & .lb-map__map .leaflet-container {
    height: 60vh;
  }
  & .lb-map__filter {
    padding: calc(var(--box-padding)/2);
  }
}

@media (--md) {
  .lb-map {
    & .lb-map__map .leaflet-container {
      height: 550px;
    }
    & .lb-map__filter {
      position: absolute;
      z-index: 1;
      right: 0;
      background-color: rgba(255,255,255,1);
      padding: var(--box-padding);
      top: 0;
      margin: var(--box-padding);
      margin-top: 10px; /* Equal to leaflet zoom in/out element */
      border-radius: var(--border-radius);
      & h3 {
        font-size: 1.125rem;
        font-weight: 700;
      }
      & .SumoSelect {
        width: 100%;
        min-width: 200px;
      }
    }
  }
}

